const webpack = require('webpack');

let tsconfigOverride = {
    declaration: false,
    sourceMap: true,
    noEmit: false
};

module.exports = {
    entry: "./src/index.ts",
    output: {
        filename: './dist/aspnet-validation.min.js',
        library: 'aspnetValidation',
        libraryTarget: 'umd'
    },
    devtool: 'source-map',
    plugins: [
        new webpack.optimize.UglifyJsPlugin({
            sourceMap: true
        })
    ],
    resolve: {
        extensions: ['.ts', '.tsx', '.js']
    },
    module: {
        rules: [
            {
                test: /\.tsx?$/,
                loader: 'ts-loader',
                options: {
                    compilerOptions: tsconfigOverride
                }
            },
        ]
    },
};
